# Add / Edit interaction source

```http
POST https://api.synup.com/api/v4/locations/reviews/settings/edit
```

Use this endpoint to add a new interaction source URL.
The body of the request must contain the locationId and a siteUrls array.

<TipInfo>Interaction sources for connected Google and Facebook accounts cannot be modified/added to. These interaction sources are automatically added when you connect your Google and Facebook accounts.</TipInfo>

Source: https://developer.synup.com/api/reviews/add-edit-interaction-source

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `siteUrls` | array of object | required |  |
| `siteUrls[].name` | string | optional |  |
| `siteUrls[].url` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/reviews/settings/edit' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MTY4MDU=",
  "siteUrls": [
    {
      "name": "trulia.com",
      "url": "test.com"
    }
  ]
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
